# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-cagraph
%if 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global libname cagraph

Name:           python-module-cagraph
Version:        1.2
Release:        alt1_12
Summary:        A PyGTK Cairo chart widget

Group:          Development/Python
License:        GPLv3+
URL:            http://code.google.com/p/cagraph/
Source0:        http://cagraph.googlecode.com/files/%{libname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
Requires:       pygtk2
Source44: import.info

%description
A PyGTK widget for plotting charts and graphs using Python, GTK and Cairo.


%prep
%setup -q -n %{libname}-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Remove shebang from libraries
# http://code.google.com/p/cagraph/issues/detail?id=5
for lib in `find %{buildroot}%{python_sitelibdir_noarch}/%{libname} -name "*.py"`; do
 sed '/#!\/usr\/bin\/env/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done
# Remove execution permissions from doc files
chmod -x %{_builddir}/%{libname}-%{version}/examples/*


%files
%doc COPYING PKG-INFO README examples
%{python_sitelibdir_noarch}/%{libname}-%{version}-*.egg-info
%{python_sitelibdir_noarch}/%{libname}



%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_12
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_11
- initial fc import

